Kubuntu - gPodder fails to launch.

Bug #1755428 reported by gerry dublin on 2018-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gpodder (Ubuntu)
Undecided
Unassigned

Bug Description

sudo apt install gpodder.

press icon, flash then nothing.

launch "gpodder" in a terminal window =

1520932474.810768 [gpodder.util] WARNING: html5lib not found, falling back to HTMLParser
1520932474.849526 [gpodder.sync] WARNING: Could not find gpod
1520932474.849792 [gpodder.sync] WARNING: Could not find eyed3.mp3
/usr/lib/python2.7/dist-packages/gpodder/gtkui/draw.py:131: GtkWarning: Unable to locate theme engine in module_path: "adwaita",
  widget = gtk.ProgressBar()
1520932474.950943 [gpodder.log] ERROR: Uncaught exception: Traceback (most recent call last):
  File "/usr/bin/gpodder", line 159, in <module>
    main()
  File "/usr/bin/gpodder", line 154, in main
    main.main(options)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 3487, in main
    gp = gPodder(bus_name, core.Core(UIConfig, model_class=Model), options)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 121, in __init__
    BuilderWidget.__init__(self, None)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/interface/common.py", line 38, in __init__
    GtkBuilderWidget.__init__(self, gpodder.ui_folders, gpodder.textdomain, **kwargs)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/base.py", line 66, in __init__
    self.new()
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 229, in new
    self.channels = self.model.get_podcasts()
  File "/usr/lib/python2.7/dist-packages/gpodder/model.py", line 1239, in get_podcasts
    self.children = self.db.load_podcasts(podcast_factory)
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 159, in load_podcasts
    cur = self.cursor()
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 103, in cursor
    return self.db.cursor()
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 94, in db
    schema.upgrade(self._db, self.database_file)
  File "/usr/lib/python2.7/dist-packages/gpodder/schema.py", line 209, in upgrade
    assert version == CURRENT_VERSION
AssertionError

Traceback (most recent call last):
  File "/usr/bin/gpodder", line 159, in <module>
    main()
  File "/usr/bin/gpodder", line 154, in main
    main.main(options)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 3487, in main
    gp = gPodder(bus_name, core.Core(UIConfig, model_class=Model), options)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 121, in __init__
    BuilderWidget.__init__(self, None)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/interface/common.py", line 38, in __init__
    GtkBuilderWidget.__init__(self, gpodder.ui_folders, gpodder.textdomain, **kwargs)
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/base.py", line 66, in __init__
    self.new()
  File "/usr/lib/python2.7/dist-packages/gpodder/gtkui/main.py", line 229, in new
    self.channels = self.model.get_podcasts()
  File "/usr/lib/python2.7/dist-packages/gpodder/model.py", line 1239, in get_podcasts
    self.children = self.db.load_podcasts(podcast_factory)
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 159, in load_podcasts
    cur = self.cursor()
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 103, in cursor
    return self.db.cursor()
  File "/usr/lib/python2.7/dist-packages/gpodder/dbsqlite.py", line 94, in db
    schema.upgrade(self._db, self.database_file)
  File "/usr/lib/python2.7/dist-packages/gpodder/schema.py", line 209, in upgrade
    assert version == CURRENT_VERSION
AssertionError

Thomas Perl (thp) wrote :

Looks like you used a newer version and then downgraded to an older version? An older version can't open the database that has been upgraded to the newer version.

gerry dublin (kiernangerald) wrote :

thank you. i copied over my gpodder folder from a previous install of a different system so that must be the issue. this can be closed [i dont know how to do this]

Thomas Perl (thp) wrote :

Closed, thanks for the feedback.

Changed in gpodder (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers